Grid Class Reference

`#include <pcl/outofcore/visualization/grid.h>`

Inheritance diagram for Grid:

## Public Member Functions

| Grid (std::string name, int size=10, double spacing=1.0)
| ~Grid ()
vtkSmartPointer< vtkRectilinearGrid > | getGrid () const
vtkSmartPointer< vtkActor > | getGridActor () const
Public Member Functions inherited from Object
| Object (std::string name)
virtual | ~Object ()
std::string | getName () const
void | setName (std::string name)
virtual void | render (vtkRenderer *renderer)
bool | hasActor (vtkActor *actor)
void | addActor (vtkActor *actor)
void | removeActor (vtkActor *actor)
vtkSmartPointer< vtkActorCollection > | getActors ()

## Additional Inherited Members

Protected Attributes inherited from Object
vtkSmartPointer< vtkActorCollection > | actors_
boost::mutex | actors_mutex_

## Detailed Description

Definition at line 21 of file grid.h.

## Constructor & Destructor Documentation

## Grid()

Grid::Grid | ( | std::string | name,
|  | int | size = `10`,
|  | double | spacing = `1.0`
| ) |  |

## ~Grid()

Grid::~Grid | ( |  | ) |

inline

Definition at line 28 of file grid.h.

## Member Function Documentation

## getGrid()

vtkSmartPointer<vtkRectilinearGrid> Grid::getGrid | ( |  | ) | const

inline

Definition at line 33 of file grid.h.

## getGridActor()

vtkSmartPointer<vtkActor> Grid::getGridActor | ( |  | ) | const

inline

Definition at line 40 of file grid.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/outofcore/include/pcl/outofcore/visualization/grid.h